@import '_content/Microsoft.FluentUI.AspNetCore.Components/Microsoft.FluentUI.AspNetCore.Components.dwk6czdzfo.bundle.scp.css';

/* /Components/DocumentIconButton.razor.rz.scp.css */
[b-q2vicx3r2s].document-icon-button {
    width: 128px;
    height: 144px;
    border: 2px solid #ccc;
    padding-top: 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    user-select: none;
    text-decoration: none;
    color: inherit;
}

    [b-q2vicx3r2s].document-icon-button svg {
        width: 40px !important;
        height: 40px !important;
        margin-bottom: 8px;
    }

.document-icon-button .filename[b-q2vicx3r2s] {
    display: inline-flex;
    align-items: center;
    height: 40px;
    line-height: 40px;
    max-width: 80%;
}

    .document-icon-button .filename .name[b-q2vicx3r2s] {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        min-width: 0;
        flex-shrink: 1;
    }

    .document-icon-button .filename .extension[b-q2vicx3r2s] {
        flex-shrink: 0;
        white-space: nowrap;
    }

.quarantined[b-q2vicx3r2s] {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
    padding-top: 6px;
    border-radius: 4px;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6px;
    margin-top: 16px;
    text-align: center;
    width: 128px;
}

.processing[b-q2vicx3r2s] {
    display: flex;
    gap: 16px;
    margin-top: 36px;
}
/* /Components/EmptyDocumentIconButton.razor.rz.scp.css */
[b-nfq92rlu8r].empty-document-icon-button {
    width: 128px;
    height: 144px;
    border: 2px solid #ccc;
    padding-top: 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    user-select: none;
    text-decoration: none;
    color: inherit;
}

    [b-nfq92rlu8r].empty-document-icon-button svg {
        width: 40px !important;
        height: 40px !important;
        margin-bottom: 8px;
    }

.no-file-selected[b-nfq92rlu8r] {
    height: 40px;
    line-height: 40px;
}
/* /Components/Fields/EdsLinkField.razor.rz.scp.css */
.link-box:hover[b-he4jv6a16p] {
    background-color: rgb(245, 245, 245, 0.885);
}

.link-box[b-he4jv6a16p] {
    margin: 3px 0px;
    padding: 6px 9px;
    border: 1px solid rgb(224, 224, 224, 0.76);
    display: flex;
    justify-content: left;
    border-radius: 4px;
    font-size: 14px;
    line-height: 20px;
    border-bottom-color: rgb(120, 120, 120, 0.86);
    height: 32px;
    align-items: center;
    flex-direction: row;
}
/* /Components/Fields/EdsTextField.razor.rz.scp.css */
[b-jesclsnapf] input[type="text"] {
    width: 100%;
}
/* /Components/FileTypeChecker.razor.rz.scp.css */
.accepted-formats[b-rem38ywwqg] {
    font-size: 14px;
    color: #444;
    margin-top: 12px;
    max-width: 500px;
}

.warning-message[b-rem38ywwqg] {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
    padding: 12px 16px;
    border-radius: 4px;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 16px;
}
/* /Components/Filters/Badges/FilterBadge.razor.rz.scp.css */
.filter-badge-text[b-tn23re84kc] {
    display: inline-block;
    padding: 2px 6px 2px 6px;
    line-height: 1.5;
    vertical-align: middle;
}
/* /Components/Filters/Fields/FilterBoxTextValueField.razor.rz.scp.css */
[b-npytks3chy] {
    display: flex;
    flex-direction: column;
    width: 100%;
    row-gap: 10px;
}
/* /Components/Filters/FilterBox.razor.rz.scp.css */
[b-609ccv3dos] {
    display: flex;
    flex-direction: column;
    width: 100%;
    row-gap: 10px;
}

[b-609ccv3dos] .filter-box-buttons {
    flex-direction: row;
    justify-content: space-around;
}

.filter-box[b-609ccv3dos] {
    position: relative;
}
/* /Components/MultiSelectDropdown.razor.rz.scp.css */

.option-field[b-7q3esupfan] {
    font-weight: normal;
    max-width: 250px;
    display: flex;
    justify-content: space-between;
    height: 32px;
    align-items: center;
    flex-direction: row;
    margin: 3px 0;
    padding: 6px 9px;
    line-height: 20px;
    border: 1px solid rgb(224, 224, 224, 0.76);
    border-radius: 4px;
    background-color: white;
    user-select: none;
}

.option-field:hover[b-7q3esupfan] {
    cursor: pointer;
}

.dropdown[b-7q3esupfan] {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-height: 336px;
    overflow-y: scroll;
    position: absolute;
    top: calc(100% + 4px);
    padding: 4px;
    row-gap: 1px;
    border-radius: 8px;
    border: 1px solid rgb(230, 230, 230, 0.76);
    background-color: white;
    z-index: 1;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.2), 0 16px 16px rgba(0, 0, 0, 0.24);
}

.dropdown:hover[b-7q3esupfan] {
    cursor: pointer;
}

.dropdown-item[b-7q3esupfan] {
    font-family: Segoe UI, sans-serif;
    font-size: 14px;
    font-weight: 400;
    padding: 6px 9px 6px 2px;
    border-radius: 4px;
    background-color: #fbfbfb;
    overflow-x: clip;
    display: flex;
    flex-direction: row;
    align-items: center;
    user-select: none;
}

.dropdown-item:active[b-7q3esupfan] {
    color: #212529;
}

.dropdown-item .dropdown-item-inner[b-7q3esupfan] {
    padding-left: 5px;
}

.selected-indicator[b-7q3esupfan] {
    background-color: rgba(3, 106, 196, 0);
    border-radius: 10px;
    min-height: 16px;
    min-width: 3px;
}

.dropdown-item:active .selected-indicator[b-7q3esupfan] {
    background-color: rgba(3, 106, 196, 1);
    min-height: 12px;
}

.selected-indicator.visible[b-7q3esupfan] {
    background-color: rgba(3, 106, 196, 1);
}

.dropdown-item:hover[b-7q3esupfan] {
    background-color: rgb(240, 240, 240, 0.885);
}
/* /Components/SearchResultsBadge.razor.rz.scp.css */
.search-badge-text[b-9fyxrf77np] {
    display: inline-block;
    padding: 2px 6px 2px 6px;
    line-height: 1.5;
    vertical-align: middle;
}
/* /Components/TablePaginator.razor.rz.scp.css */
[b-2xp63oyzlk] .page-summary-wrapper {
    display: flex;
    flex-direction: row;
}

[b-2xp63oyzlk] .page-summary-wrapper .page-summary {
    padding-top: 5px;
    margin-right: 10px;
}

[b-2xp63oyzlk] .doc-selected {
    padding-top: 5px;
    margin-right: 10px;
    margin-left: 10px;
}
/* /Components/Upload/DocumentUploadForm.razor.rz.scp.css */
.failed-upload-message[b-q8uw9v92b5] {
    background-color: white;
    border: 1px solid lightgray;
    padding: 12px 16px;
    border-radius: 4px;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 8px;
    margin-top: 16px;
}
/* /Components/Upload/DocumentUploadForms.razor.rz.scp.css */

.document-multiselect-button[b-0mrfc78asi] {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: end;
    margin-top: 10px;
    margin-bottom: 20px;
}

.document-upload-forms[b-0mrfc78asi] {
    margin-top: 5px;
    margin-bottom: 5px;
    width: 100%;
}
/* /Components/Upload/DocumentUploadSuccessCard.razor.rz.scp.css */
.upload-success-card[b-tlccazl53u] {
    padding: 12px;
    margin: 8px 0;
    border: 1px solid var(--accent-fill-rest);
}

.upload-success-container[b-tlccazl53u] {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
}

.upload-success-content[b-tlccazl53u] {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    flex: 1;
}
/* /Components/Validation/EdsFieldValidationMessage.razor.rz.scp.css */
[b-hvaszsnn8n] .validation-message {
    color: red;
}
/* /Pages/Details.razor.rz.scp.css */
[b-0vl4rrn7w2]#details-page #details-header .header-gutters {
    margin: 0;
    background-color: white;
}

[b-0vl4rrn7w2]#details-page #details-header .header-text {
    margin-left: 0.5rem;
    color: black;
    font-weight: lighter;
    font-family: '"Segoe UI Variable", "Segoe UI"', sans-serif;
}

[b-0vl4rrn7w2]#details-page #details-header {
    width: 100%;
    background-color: white;
    margin: 0;
    padding: 0;
}

[b-0vl4rrn7w2]#details-page #details-header-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
}

[b-0vl4rrn7w2]#details-page #details-header-row .details-header-left {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

[b-0vl4rrn7w2]#details-page #details-header-row .details-header-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 1rem;
}

[b-0vl4rrn7w2]#details-page #success-message {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
    font-weight: bold;
}
/* /Pages/Index.razor.rz.scp.css */
.badges-container[b-e9chf7eczb] {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}
/* /Pages/Upload.razor.rz.scp.css */
[b-i29r5rjg7z]#upload-page #upload-header .header-gutters {
    margin: 0;
    background-color: white;
}

[b-i29r5rjg7z]#upload-page #upload-header .header-text {
    margin-left: 0.5rem;
    color: black;
    font-weight: lighter;
    font-family: '"Segoe UI Variable", "Segoe UI"', sans-serif;
}

[b-i29r5rjg7z]#upload-page #upload-header {
    width: 100%;
    background-color: white;
    margin: 0;
    padding: 0;
}

[b-i29r5rjg7z]#upload-page #upload-header-row {
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
    width: 100%; 
    box-sizing: border-box;
}

[b-i29r5rjg7z]#upload-page #upload-header-row .upload-header-left {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

[b-i29r5rjg7z]#upload-page #upload-header-row .upload-header-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 6px;
}

[b-i29r5rjg7z].document-icon-button {
    text-align: center;
    position: relative;
}

[b-i29r5rjg7z] #document-select-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 128px;
    margin-top: 20px;
    text-align: center;
    user-select: none;
}

[b-i29r5rjg7z].document-icon-button svg {
    width: 80% !important;
}

[b-i29r5rjg7z].document-icon-button a:hover {
    cursor: pointer;
}
/* /Pages/View.razor.rz.scp.css */
iframe[b-s8l6bt7vgx] {
    position: fixed;

    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    border: none;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-qb8gbnz4d7] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-qb8gbnz4d7] {
    flex: 1;
}

.sidebar[b-qb8gbnz4d7] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-qb8gbnz4d7] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-qb8gbnz4d7]  a, .top-row[b-qb8gbnz4d7]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-qb8gbnz4d7]  a:hover, .top-row[b-qb8gbnz4d7]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-qb8gbnz4d7]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-qb8gbnz4d7] {
        display: none;
    }

    .top-row.auth[b-qb8gbnz4d7] {
        justify-content: space-between;
    }

    .top-row[b-qb8gbnz4d7]  a, .top-row[b-qb8gbnz4d7]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-qb8gbnz4d7] {
        flex-direction: row;
    }

    .sidebar[b-qb8gbnz4d7] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-qb8gbnz4d7] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-qb8gbnz4d7]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-qb8gbnz4d7], article[b-qb8gbnz4d7] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
